6.0.0-git
2021-01-18

[#7003] vCalendar to SIF conversion for Sync4j (Funambol) not preserving Reminder and Attendee data
Summary vCalendar to SIF conversion for Sync4j (Funambol) not preserving Reminder and Attendee data
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester cdillon (at) wolves (dot) k12 (dot) mo (dot) us
Created 2008-07-01 (4584 days ago)
Due
Updated 2008-07-10 (4575 days ago)
Assigned 2008-07-09 (4576 days ago)
Resolved 2008-07-10 (4575 days ago)
Milestone 3.2.2
Patch No

History
2008-07-10 08:02:43 Jan Schneider Comment #8
State ⇒ Resolved
Reply to this comment
Indeed, this extra X is really wacky. Beside that we currently don't 
import attendees from iCalendar objects intentionally.
2008-07-10 05:27:51 cdillon (at) wolves (dot) k12 (dot) mo (dot) us Comment #7 Reply to this comment
I forgot to mention in the last comment that I copied SyncML/* from 
framework-FRAMEWORK_3-2008-07-10.tar.gz to my horde/lib directory and 
tested syncing.  Reminders seem to work just fine now.


2008-07-10 05:11:15 cdillon (at) wolves (dot) k12 (dot) mo (dot) us Comment #6
New Attachment: vcal-data.txt Download
Reply to this comment
I have attached vcard-data.txt which is client->server data of a 
calendar event with two Attendees.  The Funambol client does not send 
the Attendee data when configured to send in SIF format.  It has 
prepended an "X" in front of the first attendee, for some reason.  The 
contact names should just be "Test Contact 1" and "Test Contact 2", 
with corresponding email addresses.  These do not appear to be 
properly formatted according to the vCalendar 1.0 spec, unless I am 
reading it wrong.  I think by this we can assume that Funambol does 
not properly support Attendee data at this time.


2008-07-09 23:20:30 cdillon (at) wolves (dot) k12 (dot) mo (dot) us Comment #5 Reply to this comment
The alarm synchronization is fixed, but the Funambol documentation
doesn't mention any support for synchronizing attendees. Do you know
something different?
I thought I saw the client sending Attendee data to the server when I 
was looking at the data packets, so I assumed they did support it.  I 
remember that the client's (Funambol) Attendee data when sending in 
SIF format was corrupted, but I don't remember how it looked in 
vCalendar format.



Thank you for fixing the Reminder sync.  I'll download Sync4j.php from 
CVS and drop it into my horde installation and test that soon.  I'll 
also generate some new client->server data that contains all fields, 
especially Attendee, and upload that to this bug trail for reference.


2008-07-09 22:54:10 Jan Schneider Comment #3
Taken from Horde DevelopersHorde Developers
State ⇒ Feedback
Reply to this comment
The alarm synchronization is fixed, but the Funambol documentation 
doesn't mention any support for synchronizing attendees. Do you know 
something different?
2008-07-06 17:29:35 Jan Schneider Milestone ⇒ 3.2.2
 
2008-07-01 07:59:54 Jan Schneider Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
 
2008-07-01 03:16:24 cdillon (at) wolves (dot) k12 (dot) mo (dot) us Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ vCalendar to SIF conversion for Sync4j (Funambol) not preserving Reminder and Attendee data
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
New Attachment: data.txt Download
Reply to this comment
Attached is a data.txt file from /tmp/sync of a Kronolith event being 
sent to a WM5 client running Funambol Windows Mobile Plug-In 6.5.18.   
It appears that during the server conversion from vCalendar to the SIF 
format that the Reminder information is not preserved and thus not 
sent to the client.  Attendee data also is not preserved.



Current versions of the Funambol plug-in may be able to understand the 
vCalendar data directly without conversion to SIF.


Saved Queries